Subject: bug#4987: 23.1; shell-command: optionally include working dir in prompt

From: Stefan Kangas <[email-masked]>
Date: Fri, 11 Oct 2019 01:20:15 +0200

[email-masked] writes:

> But one thing shell-command.el did that Emacs 23 doesn't appear to do,
> is to include the working directory in the shell-command and
> dired-do-shell-command prompts.  It'd be neat if Emacs did that, too.

This is a good idea.  How about the attached patch?

I didn't bother with dired-do-shell-command since it should be obvious
what the working directory is.

Best regards,
Stefan Kangas